<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the OpenColorIO Project. -->

Apr 11, 2019

Host: Michael Dolan

Rotating Secretary: Carl Rand

Attendees:
  * [ ] Mark Boorer (_TSC_) - Industrial Light & Magic
  * [ ] Sean Cooper (_TSC_) - DNEG
  * [X] Michael Dolan (_TSC Chair_) - Sony Pictures Imageworks
  * [X] Larry Gritz (_TSC_) - Sony Pictures Imageworks
  * [X] Patrick Hodoul (_TSC_) - Autodesk
  * [ ] John Mertic - Academy Software Foundation / Linux Foundation
  * [X] Carl Rand (_TSC_) - Foundry
  * [X] Doug Walker (_TSC Chief Architect_) - Autodesk
  * [X] Kevin Wheatley (_TSC_) - Framestore
  * [X] Bernard Lefebvre - Autodesk

# **OCIO TSC Meeting Notes**

* Vulnerability reporting
    - Currently going through the CII badge discussions this week.
    - Mainly focusing on documentation.
    - Looking at offline private reporting mail of security vulnerabilities.
    - Mail address will be security.ocio.org
    - Larry: Is a private mail address private enough?
    - Michael: The private aspect is only suggested. Other sites don't tend to go beyond a private mail. And doing so would be quite a bit more work and far more complicated.
    - Michael has tested the mail system by emailing into it.
    - Larry: We just need to make sure it's a mail that isn't publicly visible. It's very unlikely that someone is going to need it to be more private than that.
    - Michael: The system states that it's private.
    - John is currently setting up the email side of things.

* Updates on ongoing tasks - Python bindings
    - Michael is actively working on the bindings.
    - Michael: The current API is not very Pythonic.
    - Michael: Do we need backwards compatibility? Or can we split it?
    - Kevin: It will depend on when we need to support Python 3 and whether we need to do something sooner rather than later.
    - Kevin: If this is going to be in version 1.x then we would need to keep backwards compatibility.
    - Michael: In 2.x we will have to remove some things regardless.
    - Michael: Pushing the API changes back to 1.x is something we could do.
    - Patrick: In 1.x the C API shouldn't change. Should this then not be the case for Python API?
    - Michael: The option is there to backport the work done in 2.x to 1.x.
    - Doug: For the near term we need to maintain backwards compatibility. Could we decide later and see what the new API will be like?
    - Michael is starting off now by writing the documentation.
        - Trying to balance out the types to reduce the inconsistences.
        - Currently maintaining backwards compatibility.
    - Larry: Switching the bindings to PyBind 11 might be a good time.
    - Carl: Could we mark parts of the API as deprecated and remove them later to give people warning?
        - Michael: The problem with this is trying to figure out the deprecation mechanism to use.
    - Michael: OCIO 2.x will support both Python 2 and 3
    - Kevin: We should make the C and Python API change at the same time. This will make it easier for users.
    - Larry: The C/C++ and Python API should only deviate in places where it's natural for the specific language.

* Other items discussed:
    - Larry: Raised pushing the meeting forward by 30 minutes as the meetings are only lasting 20 - 30 minutes. It would help people in certain time zones due to rush hour.
    - Next weeks meeting will be cancelled due to Easter holiday.
    - Kevin will be on PR duty next week but wont be available on Monday.
    

