<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the OpenColorIO Project. -->

DATE

Host: Michael Dolan

Rotating Secretary: Michael Dolan

Attendees:
  * [X] Mark Boorer (_TSC_) - Industrial Light & Magic
  * [X] Sean Cooper (_TSC_) - DNEG
  * [X] Michael Dolan (_TSC Chair_) - Sony Pictures Imageworks
  * [X] Larry Gritz (_TSC_) - Sony Pictures Imageworks
  * [X] Patrick Hodoul (_TSC_) - Autodesk
  * [X] John Mertic - Academy Software Foundation / Linux Foundation
  * [X] Carl Rand (_TSC_) - Foundry
  * [X] Doug Walker (_TSC Chief Architect_) - Autodesk
  * [X] Kevin Wheatley (_TSC_) - Framestore
  * Bernard Lefebvre - Autodesk
  * Carol Payne - Netflix
  * Andrew Grimberg - Linux Foundation

Apologies:
  NONE

# **OCIO TSC Meeting Notes**

* OpenColorIO repo move:
    - Michael: Will we have admin access to the ASWF Azure and SonarCloud
      accounts? So we can update private keys and trigger builds, etc.
    - Andrew: You will have rights to SonarCloud. We're still working on 
      rights for Azure.
        - Will need to go through helpdesk ticket for now for pipeline 
          updates.
        - ASWF has a single Azure account with a pipeline per project, so 
          permissions are complicated. Want to have a single landing page
          for projects to keep them discoverable.
    - Larry: Everyone OK with me requestign the repo move after the meeting?
        - All: Yes.
    - Mark: Should we let the community know?
        - Michael: Yes. I sent a notice last week to ocio-dev, and will
          update the thread.
    - Andrew: Purged the previous ASWF OCIO fork already.

* OpenColorIO-Configs:
    - Sean: We might want to start from scratch with a new config repo, and
      find better solution using CI and lists.aswf.io to store build artifacts.
    - Doug: Many issues with aces config, particularly versioning.
        - Nuke 12 just shipped with forked version.
        - We need to add new spaces, but not sure if that will wait for 1.2,
          or have revision of 1.1.
        - How do people know which release they are using?
        - Carl: We struggled to get 1.1 ready for nuke 12. Needs clearer
          ownership.
        - Sean: There's complexity with taking ownership of it. Also hard to 
          distribute non-ACES camera transforms.
    - Michael: Need to resolve ACES config licensing first.
    - Doug: Need a joint meeting with stakeholders.
        - Carol: I'm in LA and can reach out to the Academy if needed.
        - Sean: Should we raise this in an OCIO or ACES forum? How public?
        - Public is OK, and we can offline discussion as needed.
        - **TODO**: Sean will reach out to ACES for how to proceed.
    
* Docs discussion:
    - Michael: Should we use RTD? Sphinx? Or soemthing else? Is the concern
      with RTD just the style? Or something lower level?
    - Andrew: Can use any style we want with RTD. We also have beta access to
      API v3.
    - Sean: Any reason for ASWF not providing similar standalone service?
        - Andrew: RTD is easy to use, works with GH tags automatically, will
          warn if you're reading an old version.
        - RTD can bring people back to source. LF can also create a top-level
          site, so ASWF projects can be interlinked via Sphinx.
        - Sean: Any examples for reference?
        - Andrew: LF Release Engineering, OpenDaylight, etc.
    - Larry: OIIO converted to RTD, from a 450 pg book.
    - Michael: Does RTD support custom designed landing page?
    - Andrew: RTD is limited to rst.
    - Michael: Could have a custom site linked to RTD, like colour-science.
      The OCIO website and logo could use refresh in general.
        - Sean: gh-pages can continue to host website and link to RST.
        - John: Can kick ideas to LF creative services to create logo if needed.
    - Sean: Would like to have good user story, with flexibility to demonstrate 
      working with DCCs, etc.
    - **TODO**: Sean will continue investigating website and RTD docs.
    
  GPU CI:
    - Doug: Anything to discuss with Andrew regarding GPU CI support?
    - Andrew: TAC voted to decomission jenkins, so budget is available for GPUs.
        - ASWF can now bring up instances in Azure and attach to our pool.
        - Need to know how to configure static instances, no dynamic launching.
    - Michael: Sean Looper (AWS) offered free GPU instances. Can we use those.
        - Andrew: Yes, that would work too.
        - Michael: Let's make this our focus following the repo move and continue 
          discussion.

* Items for next TSC meeting agenda:
    - GPU CI direction. Invite Andrew and Sean Looper to TSC meeting?
