<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the OpenColorIO Project. -->

February 10, 2020

Host: Michael Dolan

Rotating Secretary: Doug Walker

Attendees:
  * [X] Mark Boorer (_TSC_) - Industrial Light & Magic
  * [ ] Sean Cooper (_TSC_) - DNEG
  * [X] Michael Dolan (_TSC Chair_) - Epic Games
  * [ ] Larry Gritz (_TSC_) - Sony Pictures Imageworks
  * [X] Patrick Hodoul (_TSC_) - Autodesk
  * [ ] John Mertic - Academy Software Foundation / Linux Foundation
  * [ ] Carl Rand (_TSC_) - Weta Digital
  * [X] Doug Walker (_TSC Chief Architect_) - Autodesk
  * [X] Kevin Wheatley (_TSC_) - Framestore
  * [X] Bernard Lefebvre - Autodesk
  * [X] Mei Chu - Sony Pictures Imageworks

# **OCIO TSC Meeting Notes**

* ACES Config
    - Michael will follow up with Sean about pinging the Academy again about our email.
    - Doug: Do we need to keep the non-OCIO LUTs (they are huge)?
        - Mark: Think we should keep them.
    - Mark: Artifacts should not go in the repo.  Volunteered to look into a solution.

* Python bindings
    - Michael: Making progress on the bindings.  Pybind will copy arguments, is it an issue?
        - Mark: Think it's ok for now.
        - Doug: LutTransform getters/setters may be slow, but probably ok for now.
    - Bernard: Would like to move from double* to RGB object/struct for arguments.
        - Michael: Sounds good, perhaps leverage Imath types.
        - Patrick: Is it header only?  Michael: No.
    - Patrick: We want to avoid copies on the apply call.  
        - Michael: Using numpy, like OIIO.  It avoids a copy.
    - Michael: There are some list-related things we might want to drop, is it ok?
        - Mark: Remove them.  There are other breaking changes, constants/enums.
            Should investigate Python generators.
    - Mei: Need someone to help with unit tests for Python?
        - Michael, Doug: YES!
    - Michael: There are so many PRs coming in, it's tough to keep the Python in sync.
        - Patrick, Bernard, Doug: Sorry!  ;-)
    - Patrick, Doug: Please merge what you have and then we will update the Python with our PRs.
        - We will stick with double* API for now and switch to structs after the merge.
    - Michael: OK to merge without unit tests, as a first pass?
        - Group: Yes, those could be added in a separate PR.
