<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the OpenColorIO Project. -->

April 6, 2020

Host: Michael Dolan

Rotating Secretary: Doug Walker

Attendees:
  * [X] Mark Boorer (_TSC_) - Industrial Light & Magic
  * [X] Sean Cooper (_TSC_) - DNEG
  * [X] Michael Dolan (_TSC Chair_) - Epic Games
  * [X] Larry Gritz (_TSC_) - Sony Pictures Imageworks
  * [X] Patrick Hodoul (_TSC_) - Autodesk
  * [ ] John Mertic - Academy Software Foundation / Linux Foundation
  * [ ] Carl Rand (_TSC_) - Weta Digital
  * [X] Doug Walker (_TSC Chief Architect_) - Autodesk
  * [X] Kevin Wheatley (_TSC_) - Framestore
  * [X] Bernard Lefebvre - Autodesk
  * [X] Mei Chu - Sony Pictures Imageworks
  * [X] Carol Payne - Netflix
  * [X] Mitch Prater - Laika

# **OCIO TSC Meeting Notes**

* Google Summer of Code
    - Larry: Need to discuss the OCIO proposals and rank them.  Proposals from all the ASWF
    projects will get merged into an overall list that we will use once we find out from
    Google how many slots we will get.

* Moving CI to GitHub Actions
    - Michael: At the ASWF CI meeting last week there was a good discussion on getting the
    GPU CI going.  JF and Andy are going to help with that.  For various reasons, we first 
    need to move our CI from Azure to GH Actions.  I volunteered to do that over the coming
    weeks.  Do we want to make any platform/compiler changes to our matrix while doing that?
    - Patrick: Let's start by just moving the current configuration over.
    - Patrick: As Python support is important for OCIOv2, let first complete/merge the Python 
      Bindings PR if agreement so others could jump to add unit tests, documentations, etc.
    - Michael: There was also a question at the meeting about whether Sonar Cloud is valuable.
    - Patrick: It did find bugs, so it has value, but there is also a lot of noise.

* Python bindings
    - Michael: The PR on GitHub now has full coverage of the API.  Needs help with documentation
    and unit tests.  I will be working with Mei on the latter.  Please provide feedback on the PR.
    Thanks for the comments so far from Patrick and others, it has been helpful.
    - Doug: I still need to review.  Let's try to merge at the end of the week.

* Contributing to OCIO v2
    - Michael: The target for feature complete is approaching (SIGGRAPH), what areas would 
    be most helpful for people to help with?
    - Doug: The Python bindings were a huge help!  Documentation would be the next item on
    our list, and updating the website.  Getting a few volunteers to help write documentation
    would help ensure that it is understandable outside the people who wrote the code and
    would also allow us to share detailed knowledge about what's in v2 with a few more people.

* Documentation Infrastructure
    - Michael: Sean, you were looking at this awhile back, is it something you could help with?
    - Sean: Yes, I could contribute.
    - Michael: Also, Carol has been looking at this more recently.
    - Carol: Yes, I started looking at the Wiki on GitHub.  It is very simple to edit but we
    may want to put some access control in place.
    - Kevin: Yes, there is a way to do that.
    - Mitch: I've used the GitHub Wiki.  One drawback is that it is separate from the code
    so a workaround is needed to have separate content for different versions.
    - The group discussed and there was some agreement that it might be nicer to have all
    the documentation together in a single site.
    - ACTION ITEM: Carol and Sean will work on ideas for upgrading the documentation system.

* No meeting next week
    - No meeting next week (April 13) since it is a holiday in some areas.  Also, we really
    need a break to stay home and watch more Netflix!  ;)
