<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the OpenColorIO Project. -->

August 10, 2020

Host: Michael Dolan

Attendees:
  * [X] Mark Boorer (_TSC_) - Industrial Light & Magic
  * [ ] Mei Chu (_TSC_) - Sony Pictures Imageworks
  * [X] Sean Cooper (_TSC ACES TAC Rep_) - DNEG
  * [X] Michael Dolan (_TSC Chair_) - Epic Games
  * [X] Patrick Hodoul (_TSC_) - Autodesk
  * [X] John Mertic - Academy Software Foundation / Linux Foundation
  * [X] Carol Payne (_TSC_) - Netflix
  * [X] Mark Titchener (_TSC_) - Foundry
  * [ ] Carl Rand (_TSC_) - Weta Digital
  * [X] Doug Walker (_TSC Chief Architect_) - Autodesk
  * [X] Kevin Wheatley (_TSC_) - Framestore
  * [X] Bernard Lefebvre - Autodesk
  * [X] Joseph Goldstone - ARRI

Apologies:
  * Mei Chu

# **OCIO TSC Meeting Notes**

* Admin updates:
    - Michael: Will get Open Source Days slide deck ready early this week and 
      share for input. Also going to send message to ocio-dev and ocio-user 
      announcing upcoming events. Let me know if you have anything to add to 
      either of these.
    - Michael: Some open questions in ocio-user if anyone has cycles to give 
      guidance. I can mention these in Slack too.

* PR: follow-up on existing PRs:
    - Patrick: Several open PRs. Any work needed before DigiPro? Is the Python 
      docstring PR critical (#1074)?
    - Sean: Needed to complete API docs, but not ready by DigiPro. Can use 
      static build for now.
    - Patrick: Any comments on Simran's PR (#1081)? All agree on sanity check 
      and other language changes?
    - Kevin: Just wondering if the term change is correct. It's an API change, 
      so should use caution. We don't want to have to change it again later.
    - TSC agrees the change is ok. Will merge.
    - Patrick: SPI1D and SPI3D PR can wait.

* Documentation questions:
    - Carol working on CCLA to be able to merge homepage page PR (#1091). Will 
      need to update gh-pages with another PR following that.
    - Michael: Can make PR against gh-pages. Pull local, update and test in 
      browser, and then open PR for live site update on merge.
    - John: Take a look at Netlify, for live preview of site in PR. Can do Hugo 
      build and provides link to a preview page of the site. OpenCue uses this.
    - **TODO**: Consider integrate Netlify at a later date.
    - Doug: API docs. Can we have drop in baked version for now? Since gh-page 
      update will remove them.
    - Sean: Python package for reST build mangles API doc style. May have to 
      reformat by hand for now. Trying to take the Sphinx autodoc features and 
      recompile into full RST files. This affects C++ and python API docs. Will 
      try to have PR in tonight.
    - Doug: Working on doc content. Will be making PR tonight to reorganize docs, 
      imposing new TOC structure on top of existing work, which will condense 
      sub-chapters. Added a lot of new documentation. New feature structure is 
      there and out-of-date/incorrect content is removed. If anyone has time to 
      review that PR tomorrow, we'll try to get it merged by EOD Tuesday, to have 
      the new site and docs live.
    - **TODO**: Need to add work-in-progress note to RTD homepage. Also planning to 
      remove the quick start from doc landing page, since we now have a dedicated 
      quick start section.
    - Doug: Docs talk a lot about the Nuke plugins. Since Nuke now has native 
      integration, these references are not as helpful. Remove?
    - Mark T: Talking to Nuke team about how to push out new Nuke plugins, and where 
      to put them. Recommend leaving Nuke nodes out of docs for now since it will be 
      misleading. Having conversations about OCIO v2 with team now.
    - Doug: I'm adding a lot of info about upgrading to v2, so worth looking at for 
      products that use OCIO.
    - Doug: Noticed that TOC navigation isn't always updated properly. Some sections 
      look wrong when clicked.
    - Sean: Sphinx doesn't update every page when you update docs. May need to rebuild 
      to prevent old pages showing up. Can use make clean, or  sphinx-build -a to 
      update all files.
