<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the OpenColorIO Project. -->

August 31, 2020

Host: Michael Dolan

Attendees:
  * [ ] Mark Boorer (_TSC_) - Industrial Light & Magic
  * [X] Mei Chu (_TSC_) - Sony Pictures Imageworks
  * [ ] Sean Cooper (_TSC ACES TAC Rep_) - DNEG
  * [X] Michael Dolan (_TSC Chair_) - Epic Games
  * [X] Patrick Hodoul (_TSC_) - Autodesk
  * [X] John Mertic - Academy Software Foundation / Linux Foundation
  * [X] Carol Payne (_TSC_) - Netflix
  * [ ] Mark Titchener (_TSC_) - Foundry
  * [ ] Carl Rand (_TSC_) - Weta Digital
  * [X] Doug Walker (_TSC Chief Architect_) - Autodesk
  * [ ] Kevin Wheatley (_TSC_) - Framestore
  * [X] Bernard Lefebvre - Autodesk
  * [X] Daniele Siragusano - FilmLight
  * [X] Joseph Goldstone - ARRI
  * [X] Anandhaiyappan M

Apologies:
  * Mark Titchener

# **OCIO TSC Meeting Notes**

* Issue #1124 discussion and resolution
    - London holiday today so we don't have quorum. We can discuss solutions to 
      present at the next TSC meeting where all members can provide additional 
      input and decide on a resolution together.
    - Any additional thoughts to share for the issue discussion?
    - Doug: Transparency and communication was actually something we felt we 
      had been doing a good job on, so it was discouraging to hear that we 
      still have more work to do on that front. The distributed nature of open 
      source development does make it difficult for people to track, especially 
      if they cannot attend all of the live discussions. If we can make 
      additional improvements in this area, I think they would be appreciated.
    - Carol: It goes both ways. Some things we've been aware of like struggling 
      to get PRs reviewed. There will hopefully be some good on that end, 
      improving feedback and contributions.
    - Patrick: We can improve things, but should not do so by adding more 
      process to what we're doing. Managing a project at Autodesk is a full 
      time job. I don't think we have the resources to do that in the 
      community.
    - Doug: Carol made that point too. Not sure if there's a precedent for 
      non-developers who want to participate in open source. Is that a thing? 
      Could we get people to contribute in that role?
    - Carol: Will be sitting down with some Netflix PMs to get some initial 
      thoughts on it. Also could bring it up at the next TAC meeting. Would fit 
      nicely in with the ASWF.
    - Doug: Could even be a paid position.
    - Carol: There's room to expand what people think of with open source. 
      Cool and exciting opportunities.
    - Doug: Good opportunity for someone who wants to be a developer but start 
      in an admin role to get involved with the process. The project doesn't 
      necessarily intersect with that group. Most involvement is from 
      developers.
    - Mei: Is there an example of OSS project of this scale with road map?
    - Michael: ASWF does have budget if need was presented across projects.
    - Patrick: Already have two OCIO projects (documentation and Python unit 
      tests) that could be a starting point for exploration.
    - Carol: This is something I can tie back into the D&I working group too.
    - Patrick: Good point. Doesn't need to know a lot about OCIO. Good 
      opportunity for someone with interest.
    - Michael: I think it would help if new design work was presented in a GH 
      issue earlier in development. I know most new features are already there,
      but going forward we could have a two week proposal period at start of 
      development.
    - Patrick: True, but being pragmatic, only one or two people are looking at 
      the issues we open now, and only one at PRs. No question for improvement, 
      but that's why we have had the v2 working group.
    - Doug: What I've been trying to do is create issues in advance of PRs. 
      This case was different because we are all so busy with conferences and 
      docs. Usually the issue does go up well in advance, but it's rare that we 
      get much feedback.
    - Michael: It's important to note too that the decision to have a two-week 
      rule was important for keeping development on track. Earlier in the 
      project PRs would sometimes sit for months and block further work. The 
      investment of three full time engineers from Autodesk is a generous one 
      and it's important to not take that for granted, and to utilize the 
      time as much as possible to keep an interest in the investment. The 
      resolution was no comments following the two week period implied 
      acceptance.
    - Carol: If I don't have an issue I don't comment, since that is the 
      process.
    - Michael: To improve, we can document the current process in one place, 
      as it is, and make adjustments that the TSC agrees will improve 
      transparency. That way it's documented and clear.
    - Doug: Agree. PRs can be made on document to propose changes to the 
      process.
    - Patrick: Can extend the meeting to speak about features too. Talk more 
      about technical discussion. Could be a way to improve process wih no 
      cost. Speak about features, etc.
    - Doug: Agree it's a good idea. Initially having two meetings was good, 
      but now they can be combined.
    - Michael: As mentioned too we can adjust the time to work for the NZ time 
      zone, but we should discuss with our London members first too, since it 
      would put the meeting later in their evening.
    - Patrick: Also have meeting notes which can get feedback on. Minutes can 
      be way to document points. Also, when we wait two weeks, we put a warning 
      before merge. The warning does not mean we will merge no matter what. 
      Just a final warning about the merge if there are no objections. Worth 
      explaining that. It's just a notification. Could better explain process.
    - Doug: Yes that could go in the document. I agree.
    - Michael: And let me say that all of the work you have done Doug, Patrick, 
      and Bernard is highly appreciated by the community and industry. You have 
      all done excellent work with huge impact.
    - Doug: And thanks also to all the community who invested so much time 
      along with many other responsibilities.
    - Patrick: Yes, thank you all for all the effort on part time involvement.
    - Doug: Thoughts on this issue John? On Trello board or feature roadmap 
      discussion, etc? We don't have a full time project management. Are there 
      LF projects with scrum master/project manager contributors. Not 
      developing code; just making sure the interface between developers and 
      the community is solid.
    - John: Yes, it varies. One project I'm involved in has a lot of project 
      managers because of stakeholder involvement. Some smaller scale projects 
      just don't have those resources available. For one project I work on I've 
      put together a kanban board tracking the work we're doing as a staff. We 
      tried to address that transparency by putting issues and actions in there 
      for the community to see. That's one example and the lift is pretty 
      light. GH has a serviceable kanban board ability. Good points. Good to be 
      as transparent as you can, but not to kill yourselves in process. Good to 
      consider trying to make sure you're very public about pointing where key 
      things to check are. Documentation, etc. Make those assets as 
      discoverable as possible. Pretend you're starting from zero. What 
      challenges would you face while getting started in the project. On a 
      cadence, put together a blog post of what's being worked on, and where 
      we're headed. A way to chronologically say whats going on, without taking 
      a ton of time. Helpful communication.

* Items for next TSC meeting agenda:
    - Discuss proposed resolution and make decision.
