<!-- SPDX-License-Identifier: CC-BY-4.0 -->
<!-- Copyright Contributors to the OpenColorIO Project. -->

October 12, 2020

Host: Michael Dolan

Attendees:
  * [X] Mark Boorer (_TSC_) - Industrial Light & Magic
  * [ ] Mei Chu (_TSC_) - Sony Pictures Imageworks
  * [ ] Sean Cooper (_TSC ACES TAC Rep_) - DNEG
  * [X] Michael Dolan (_TSC Chair_) - Epic Games
  * [ ] Patrick Hodoul (_TSC_) - Autodesk
  * [ ] John Mertic - Academy Software Foundation / Linux Foundation
  * [X] Carol Payne (_TSC_) - Netflix
  * [X] Mark Titchener (_TSC_) - Foundry
  * [X] Carl Rand (_TSC_) - Weta Digital
  * [ ] Doug Walker (_TSC Chief Architect_) - Autodesk
  * [X] Kevin Wheatley (_TSC_) - Framestore
  * [X] Aymee Yeh - Netflix

Apologies:
  * Patrick Hodoul
  * Doug Walker
  * Mei Chu

# **OCIO TSC Meeting Notes**

* PRs ready for review:
    - #1157: FileTransform interpolation - to be merged tomorrow without 
      objections.
    - #1159: CMake updated - to be merged tomorrow without objections.
    - #1163: BuildOps functions refactoring - new PR from Bernard 
      simplifying some op build code.
    - #1164: app docs - Documentation contribution from Zach Lewis.

* Issue #161 feedback:
    - Michael: Continuing discussion around PROCESS.md and any revision 
      that might be needed. Larry raised good points around 
      implementing a feature freeze to prevent holiday and near-release
      merges without review.
    - Mark T: Agree. Would provide a good to have safety net.
    - Kevin: Two issues, feature freeze before major release, and then freeze 
      where people will be away, to prevent magic PR approval over holidays. 
      Both make sense. Don't want these merges to happen by accident.
    - Carol: Can 2-week window be extended after OCIO v2 release? Lengthen to 
      3 or 4 weeks. With release nearing completion this could be less of an 
      issue. Will add comment to issue.
    - Michael: Agree.
    - Kevin: After v2 there will be fewer things to review, so the current rule 
      may be ok.
    - Carol: You would expect more people to comment, and less PRs to go 
      through without comment. Ideal is no PR without feedback.
    - Michael: Bigger features need more review, i.e. expressions. Smaller work
      like bug fixes could go through quicker potentially.
    - Mark: I agree as well. The way it is now is mostly because there are 3 AD 
      employees, who could approve and merge otherwise. Time period is chance 
      to give us time to step in. Will change when AD contributions change.
    - Michael: We can revisit the rules following release if needed.

* RTD credentials and account:
    - Michael: Does anyone here have credentials to get into the OCIO RTD 
      account? I'm working on API docs and will need to do some tests.
    - Carol, Mark: Sean has credentials.

* Topics for AD feedback:
    - Michael: Last week discussed raising concerns for discussion with AD team
      on v2 features. Everyone will be back in the TSC meeting next week. 
      Please post discussion points somewhere for discussion.
    - Mark: Going through API over last week trying to implement ACES builtin 
      transforms. Have Google doc with current questions and will add to next 
      week's agenda. Also noted in tests that the v2 build is very smooth now.
    - Michael: Are you using the external dependencies, or linking to local 
      dependencies.
    - Mark: Using the external libs, statically linked. Namespace handling is
      working well.
